Skip to main content
PUT
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
otp
/
{loginConfigID}
Update OTP login config
curl --request PUT \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/login/otp/{loginConfigID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_type": "otp",
  "channel_type": "sms",
  "template_id": "<string>",
  "sender_id": "<string>",
  "is_default": true
}
'
{
  "code": "invalid_request",
  "status": "bad_request",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

loginConfigID
string
required

The identifier of the login configuration. A login config unique identifier. It is prefixed with 'lcfg_'

Example:

"lcfg_01jqebhswje1ka1z7ahr9rfsgt"

Body

application/json
config_type
enum<string>
required
Available options:
otp
Example:

"otp"

channel_type
enum<string>
required
Available options:
sms,
email
Example:

"sms"

template_id
string
Example:

"tpl_01jqebhswje1ka1z7ahr9rfsgt"

sender_id
string
Example:

"Prelude"

is_default
boolean
Example:

true

Response

OK